--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: []

full_name: "::Bot"
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: clear_filters
- !ruby/object:RI::MethodSummary 
  name: filter
- !ruby/object:RI::MethodSummary 
  name: filter_groups
- !ruby/object:RI::MethodSummary 
  name: filter_names
- !ruby/object:RI::MethodSummary 
  name: global_filter_name
- !ruby/object:RI::MethodSummary 
  name: has_filter?
- !ruby/object:RI::MethodSummary 
  name: has_filter_group?
- !ruby/object:RI::MethodSummary 
  name: register_filter
- !ruby/object:RI::MethodSummary 
  name: remote_dispatcher
- !ruby/object:RI::MethodSummary 
  name: remote_object
name: Bot
superclass: Object
